
Name:           bemacs
Version:        8.6.0
Release:        1%{?dist}
Summary:        Barry's Emacs

License:        ASL 2.0
URL:            http://barrys-emacs.org/
Source0:        http://barrys-emacs.org/source_kits/%{name}-%{version}.tar.gz
Source1: /shared/Downloads/Subversion/sqlite-amalgamation-3280000.zip

Requires: bemacs-cli

BuildRequires: gcc-c++
BuildRequires: python
BuildRequires: unzip

%prep
# unpack Source0
%setup

mkdir -p Imports/sqlite
unzip -j "%_sourcedir/sqlite-amalgamation-3280000.zip" -d Imports/sqlite

%build
true

%install
echo Info: Install PWD $( pwd )

export BUILDER_TOP_DIR=$( pwd )
export PYTHON=/usr/bin/python2

cd ${BUILDER_TOP_DIR}/Builder
export DESTDIR=%{buildroot}
/usr/bin/python2 build_bemacs.py cli --no-warnings-as-errors

mkdir -p %{buildroot}%{_mandir}/man1
gzip -c ${BUILDER_TOP_DIR}/Kits/Linux/bemacs.1 > %{buildroot}%{_mandir}/man1/bemacs.1.gz

mkdir -p %{buildroot}/usr/share/applications
cp ${BUILDER_TOP_DIR}/Kits/Linux/bemacs.desktop %{buildroot}/usr/share/applications

%description
Barry's Emacs
* Easy to get started with Emacs
* Uses original MockLisp extension language
* UI implemented using Python3 and PyQt


%package cli
Summary: Barry's Emacs CLI version
Group: Applications/Editors
Requires: bemacs-common

%description cli
Barry's Emacs
* Easy to get start with Emacs
* Uses original MockLisp extension language
* Command line version for terminal

%package common
Summary: Barry's Emacs common files
Group: Applications/Editors

%description common
Barry's Emacs common files used by
bemacs-gui and bemacs-cli

%files

%files cli
%defattr(-, root, root, -)
/usr/bin/bemacs-cli

%files common
%defattr(-, root, root, -)
/usr/share/bemacs/doc/*
/usr/share/bemacs/lib/*.db
/usr/share/bemacs/lib/*.ml
/usr/share/applications/bemacs.desktop
%attr(0644,root,root) %{_mandir}/man1/bemacs.1.gz

%changelog
* Mon Jun 10 2019 Barry Scott <barry@barrys-emacs.org> - 8.6.0-1
- Specfile create by package_bemacs.py
